MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013105Open CASCADE[OCCT] OCCT:Data Exchangepublic2006-08-01 18:462012-01-13 18:02
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target VersionFixed in Version[OCCT] 6.1.1 
Summary0013105: Revising of parameters of STEP translator
DescriptionFollowing bug with STEP documentation described in OCC12994, the new
(previously undocumented) parameters of STEP translator have been renamed and
extended

This IMP is registered for integration of relevant changes (the attechment
follows)
Additional information
and documentation updates
Documentation remark, added by ABV 2006-08-09 10:18:50:

New features:



Improvements:



Changes:
STEP translator now will read additional shapes attached to main shape of the
PRODUCT with SHAPE_REPRESENTATION_RELATIONSHIP entities regardless of contents
of main shape (previously they were read only when main shape was empty).
Though this is correct according to AP203 and AP209 (mixed model representation
), this may lead to reading unwanted entities (such as auxiliary lines written
in this way by some CAD systems). Use parameter read.step.shape.relationship to
manage this situation.



Modified entities:
Other changes will be documented in OCC12994


TagsNo tags attached.
Test case number
Attached Filesgz file icon occ13105-abv-v1.tar.gz (21,307 bytes) 2006-08-01 16:47

- Relationships
related to 0012994closedatp Undocumented parameters in STEP and IGES translators 
related to 0013106assignedabv STEP AP209 reading: distinguish hybrid models versus design-analysis relationships 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2006-08-01 18:53 abv BugsThisDependsOn => 12994
2006-08-01 19:11 abv BugsThisDependsOn => 13106
2006-08-02 11:28 bugmaster CC => mkv
2006-08-02 11:28 bugmaster Assigned To bugmaster => abv
2006-08-02 11:28 bugmaster Status new => assigned
2006-08-02 17:56 abv Status assigned => resolved
2006-08-07 17:20 bugmaster Status resolved => verified
2006-10-27 18:48 bugmaster Status verified => closed
2006-10-27 18:48 bugmaster Resolution @0@ => fixed
2011-08-02 11:12 bugmaster Category OCCT:DTE => OCCT:Data Exchange
2012-01-13 18:02 atp Description Updated View Revisions
2012-01-13 18:02 atp Additional Information Updated View Revisions


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker